--DBCC FREESYSTEMCACHE( 'All' )
dbcc dropcleanbuffers;

select name, type, entries_count, entries_in_use_count, pages_kb
	from sys.dm_os_memory_cache_counters 
	where type = 'CACHESTORE_COLUMNSTOREOBJECTPOOL';

select type, pages_kb, page_size_in_bytes--, * 
	from sys.dm_os_memory_clerks 
	where type = 'CACHESTORE_COLUMNSTOREOBJECTPOOL';

select * 
	from sys.dm_os_memory_broker_clerks;

-- *********************************
select top 1000 *
	from dbo.FactOnlineSales;

select prod.ProductName, sum(sales.SalesAmount) as SoldAmount
	from dbo.FactOnlineSales sales
		inner join dbo.DimProduct prod
			on sales.ProductKey = prod.ProductKey
		inner join dbo.DimCurrency cur
			on sales.CurrencyKey = cur.CurrencyKey
		inner join dbo.DimPromotion prom
			on sales.PromotionKey = prom.PromotionKey
		inner join dbo.DimCustomer cust
			on sales.CustomerKey = cust.CustomerKey
	where (cur.CurrencyName = 'USD' or cur.CurrencyName = 'EUR') 
		and prom.EndDate >= '2004-01-01' and cust.BirthDate < '1980-01-01'
	group by prod.ProductName
	order by sum(sales.SalesAmount) desc;

-- *********************************

select name, type, entries_count, entries_in_use_count, pages_kb
	from sys.dm_os_memory_cache_counters 
	where type = 'CACHESTORE_COLUMNSTOREOBJECTPOOL';

select type, pages_kb, page_size_in_bytes--, * 
	from sys.dm_os_memory_clerks 
	where type = 'CACHESTORE_COLUMNSTOREOBJECTPOOL';

select * 
	from sys.dm_os_memory_broker_clerks;